## WebKitDOMNode WebKitDOMNode |

## Functions

WebKitDOMNode * | webkit_dom_node_insert_before ()
WebKitDOMNode * | webkit_dom_node_replace_child ()
WebKitDOMNode * | webkit_dom_node_remove_child ()
WebKitDOMNode * | webkit_dom_node_append_child ()
gboolean | webkit_dom_node_has_child_nodes ()
WebKitDOMNode * | webkit_dom_node_clone_node_with_error ()
void | webkit_dom_node_normalize ()
gboolean | webkit_dom_node_is_supported ()
gboolean | webkit_dom_node_is_same_node ()
gboolean | webkit_dom_node_is_equal_node ()
gchar * | webkit_dom_node_lookup_prefix ()
gchar * | webkit_dom_node_lookup_namespace_uri ()
gboolean | webkit_dom_node_is_default_namespace ()
gushort | webkit_dom_node_compare_document_position ()
gboolean | webkit_dom_node_contains ()
gchar * | webkit_dom_node_get_node_name ()
gchar * | webkit_dom_node_get_node_value ()
void | webkit_dom_node_set_node_value ()
gushort | webkit_dom_node_get_node_type ()
WebKitDOMNode * | webkit_dom_node_get_parent_node ()
WebKitDOMNodeList * | webkit_dom_node_get_child_nodes ()
WebKitDOMNode * | webkit_dom_node_get_first_child ()
WebKitDOMNode * | webkit_dom_node_get_last_child ()
WebKitDOMNode * | webkit_dom_node_get_previous_sibling ()
WebKitDOMNode * | webkit_dom_node_get_next_sibling ()
WebKitDOMDocument * | webkit_dom_node_get_owner_document ()
gchar * | webkit_dom_node_get_base_uri ()
gchar * | webkit_dom_node_get_text_content ()
void | webkit_dom_node_set_text_content ()
WebKitDOMElement * | webkit_dom_node_get_parent_element ()
WebKitDOMNode * | webkit_dom_node_clone_node ()
gchar * | webkit_dom_node_get_namespace_uri ()
gchar * | webkit_dom_node_get_prefix ()
void | webkit_dom_node_set_prefix ()
gchar * | webkit_dom_node_get_local_name ()
WebKitDOMNode * | webkit_dom_node_for_js_value ()

## Properties

char * | base-uri | Read
WebKitDOMNodeList * | child-nodes | Read
WebKitDOMNode * | first-child | Read
WebKitDOMNode * | last-child | Read
WebKitDOMNode * | next-sibling | Read
char * | node-name | Read
guint | node-type | Read
char * | node-value | Read / Write
WebKitDOMDocument * | owner-document | Read
WebKitDOMElement * | parent-element | Read
WebKitDOMNode * | parent-node | Read
WebKitDOMNode * | previous-sibling | Read
char * | text-content | Read / Write

## Types and Values

struct | WebKitDOMNode
#define | WEBKIT_DOM_NODE_ELEMENT_NODE
#define | WEBKIT_DOM_NODE_ATTRIBUTE_NODE
#define | WEBKIT_DOM_NODE_TEXT_NODE
#define | WEBKIT_DOM_NODE_CDATA_SECTION_NODE
#define | WEBKIT_DOM_NODE_ENTITY_REFERENCE_NODE
#define | WEBKIT_DOM_NODE_ENTITY_NODE
#define | WEBKIT_DOM_NODE_PROCESSING_INSTRUCTION_NODE
#define | WEBKIT_DOM_NODE_COMMENT_NODE
#define | WEBKIT_DOM_NODE_DOCUMENT_NODE
#define | WEBKIT_DOM_NODE_DOCUMENT_TYPE_NODE
#define | WEBKIT_DOM_NODE_DOCUMENT_FRAGMENT_NODE
#define | WEBKIT_DOM_NODE_DOCUMENT_POSITION_DISCONNECTED
#define | WEBKIT_DOM_NODE_DOCUMENT_POSITION_PRECEDING
#define | WEBKIT_DOM_NODE_DOCUMENT_POSITION_FOLLOWING
#define | WEBKIT_DOM_NODE_DOCUMENT_POSITION_CONTAINS
#define | WEBKIT_DOM_NODE_DOCUMENT_POSITION_CONTAINED_BY
#define | WEBKIT_DOM_NODE_DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ├── WebKitDOMAttr
                ├── WebKitDOMCharacterData
                ├── WebKitDOMDocumentFragment
                ├── WebKitDOMDocument
                ├── WebKitDOMDocumentType
                ╰── WebKitDOMElement

## Implemented Interfaces

WebKitDOMNode implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_node_insert_before ()

    WebKitDOMNode *
    webkit_dom_node_insert_before (WebKitDOMNode *self,
                                   WebKitDOMNode *newChild,
                                   WebKitDOMNode *refChild,
                                   GError **error);

`webkit_dom_node_insert_before` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMNode |
newChild | A WebKitDOMNode |
refChild | A WebKitDOMNode. | [allow-none]
error | GError |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_node_replace_child ()

    WebKitDOMNode *
    webkit_dom_node_replace_child (WebKitDOMNode *self,
                                   WebKitDOMNode *newChild,
                                   WebKitDOMNode *oldChild,
                                   GError **error);

`webkit_dom_node_replace_child` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMNode |
newChild | A WebKitDOMNode |
oldChild | A WebKitDOMNode |
error | GError |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_node_remove_child ()

    WebKitDOMNode *
    webkit_dom_node_remove_child (WebKitDOMNode *self,
                                  WebKitDOMNode *oldChild,
                                  GError **error);

`webkit_dom_node_remove_child` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMNode |
oldChild | A WebKitDOMNode |
error | GError |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_node_append_child ()

    WebKitDOMNode *
    webkit_dom_node_append_child (WebKitDOMNode *self,
                                  WebKitDOMNode *newChild,
                                  GError **error);

`webkit_dom_node_append_child` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMNode |
newChild | A WebKitDOMNode |
error | GError |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_node_has_child_nodes ()

    gboolean
    webkit_dom_node_has_child_nodes (WebKitDOMNode *self);

`webkit_dom_node_has_child_nodes` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMNode |

#### Returns

A gboolean

### webkit_dom_node_clone_node_with_error ()

    WebKitDOMNode *
    webkit_dom_node_clone_node_with_error (WebKitDOMNode *self,
                                           gboolean deep,
                                           GError **error);

`webkit_dom_node_clone_node_with_error` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMNode |
deep | A gboolean |
error | GError |

#### Returns

A WebKitDOMNode.

[transfer none]

Since: 2.14

### webkit_dom_node_normalize ()

    void
    webkit_dom_node_normalize (WebKitDOMNode *self);

`webkit_dom_node_normalize` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMNode |

### webkit_dom_node_is_supported ()

    gboolean
    webkit_dom_node_is_supported (WebKitDOMNode *self,
                                  const gchar *feature,
                                  const gchar *version);

`webkit_dom_node_is_supported` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMNode |
feature | A gchar |
version | A gchar |

#### Returns

A gboolean

### webkit_dom_node_is_same_node ()

    gboolean
    webkit_dom_node_is_same_node (WebKitDOMNode *self,
                                  WebKitDOMNode *other);

`webkit_dom_node_is_same_node` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMNode |
other | A WebKitDOMNode |

#### Returns

A gboolean

### webkit_dom_node_is_equal_node ()

    gboolean
    webkit_dom_node_is_equal_node (WebKitDOMNode *self,
                                   WebKitDOMNode *other);

`webkit_dom_node_is_equal_node` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMNode |
other | A WebKitDOMNode |

#### Returns

A gboolean

### webkit_dom_node_lookup_prefix ()

    gchar *
    webkit_dom_node_lookup_prefix (WebKitDOMNode *self,
                                   const gchar *namespaceURI);

`webkit_dom_node_lookup_prefix` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMNode |
namespaceURI | A gchar |

#### Returns

A gchar

### webkit_dom_node_lookup_namespace_uri ()

    gchar *
    webkit_dom_node_lookup_namespace_uri (WebKitDOMNode *self,
                                          const gchar *prefix);

`webkit_dom_node_lookup_namespace_uri` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMNode |
prefix | A gchar |

#### Returns

A gchar

### webkit_dom_node_is_default_namespace ()

    gboolean
    webkit_dom_node_is_default_namespace (WebKitDOMNode *self,
                                          const gchar *namespaceURI);

`webkit_dom_node_is_default_namespace` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMNode |
namespaceURI | A gchar |

#### Returns

A gboolean

### webkit_dom_node_compare_document_position ()

    gushort
    webkit_dom_node_compare_document_position
                                   (WebKitDOMNode *self,
                                    WebKitDOMNode *other);

`webkit_dom_node_compare_document_position` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMNode |
other | A WebKitDOMNode |

#### Returns

A gushort

### webkit_dom_node_contains ()

    gboolean
    webkit_dom_node_contains (WebKitDOMNode *self,
                              WebKitDOMNode *other);

`webkit_dom_node_contains` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMNode |
other | A WebKitDOMNode |

#### Returns

A gboolean

### webkit_dom_node_get_node_name ()

    gchar *
    webkit_dom_node_get_node_name (WebKitDOMNode *self);

`webkit_dom_node_get_node_name` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMNode |

#### Returns

A gchar

### webkit_dom_node_get_node_value ()

    gchar *
    webkit_dom_node_get_node_value (WebKitDOMNode *self);

`webkit_dom_node_get_node_value` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMNode |

#### Returns

A gchar

### webkit_dom_node_set_node_value ()

    void
    webkit_dom_node_set_node_value (WebKitDOMNode *self,
                                    const gchar *value,
                                    GError **error);

`webkit_dom_node_set_node_value` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMNode |
value | A gchar |
error | GError |

### webkit_dom_node_get_node_type ()

    gushort
    webkit_dom_node_get_node_type (WebKitDOMNode *self);

`webkit_dom_node_get_node_type` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMNode |

#### Returns

A gushort

### webkit_dom_node_get_parent_node ()

    WebKitDOMNode *
    webkit_dom_node_get_parent_node (WebKitDOMNode *self);

`webkit_dom_node_get_parent_node` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMNode |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_node_get_child_nodes ()

    WebKitDOMNodeList *
    webkit_dom_node_get_child_nodes (WebKitDOMNode *self);

`webkit_dom_node_get_child_nodes` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMNode |

#### Returns

A WebKitDOMNodeList.

[transfer full]

### webkit_dom_node_get_first_child ()

    WebKitDOMNode *
    webkit_dom_node_get_first_child (WebKitDOMNode *self);

`webkit_dom_node_get_first_child` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMNode |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_node_get_last_child ()

    WebKitDOMNode *
    webkit_dom_node_get_last_child (WebKitDOMNode *self);

`webkit_dom_node_get_last_child` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMNode |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_node_get_previous_sibling ()

    WebKitDOMNode *
    webkit_dom_node_get_previous_sibling (WebKitDOMNode *self);

`webkit_dom_node_get_previous_sibling` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMNode |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_node_get_next_sibling ()

    WebKitDOMNode *
    webkit_dom_node_get_next_sibling (WebKitDOMNode *self);

`webkit_dom_node_get_next_sibling` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMNode |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_node_get_owner_document ()

    WebKitDOMDocument *
    webkit_dom_node_get_owner_document (WebKitDOMNode *self);

`webkit_dom_node_get_owner_document` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMNode |

#### Returns

A WebKitDOMDocument.

[transfer none]

### webkit_dom_node_get_base_uri ()

    gchar *
    webkit_dom_node_get_base_uri (WebKitDOMNode *self);

`webkit_dom_node_get_base_uri` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMNode |

#### Returns

A gchar

### webkit_dom_node_get_text_content ()

    gchar *
    webkit_dom_node_get_text_content (WebKitDOMNode *self);

`webkit_dom_node_get_text_content` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMNode |

#### Returns

A gchar

### webkit_dom_node_set_text_content ()

    void
    webkit_dom_node_set_text_content (WebKitDOMNode *self,
                                      const gchar *value,
                                      GError **error);

`webkit_dom_node_set_text_content` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMNode |
value | A gchar |
error | GError |

### webkit_dom_node_get_parent_element ()

    WebKitDOMElement *
    webkit_dom_node_get_parent_element (WebKitDOMNode *self);

`webkit_dom_node_get_parent_element` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMNode |

#### Returns

A WebKitDOMElement.

[transfer none]

### webkit_dom_node_clone_node ()

    WebKitDOMNode *
    webkit_dom_node_clone_node (WebKitDOMNode *self,
                                gboolean deep,
                                GError **error);

`webkit_dom_node_clone_node` has been deprecated since version 2.14 and should not be used in newly-written code.

Use `webkit_dom_node_clone_node_with_error()` instead.

#### Parameters

self | A WebKitDOMNode |
deep | A gboolean |
error | GError |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_node_get_namespace_uri ()

    gchar *
    webkit_dom_node_get_namespace_uri (WebKitDOMNode *self);

`webkit_dom_node_get_namespace_uri` has been deprecated since version 2.14 and should not be used in newly-written code.

Use `webkit_dom_attr_get_namespace_uri()` or `webkit_dom_element_get_namespace_uri()` instead.

#### Parameters

self | A WebKitDOMNode |

#### Returns

A gchar

### webkit_dom_node_get_prefix ()

    gchar *
    webkit_dom_node_get_prefix (WebKitDOMNode *self);

`webkit_dom_node_get_prefix` has been deprecated since version 2.14 and should not be used in newly-written code.

Use `webkit_dom_attr_get_prefix()` or `webkit_dom_element_get_prefix()` instead.

#### Parameters

self | A WebKitDOMNode |

#### Returns

A gchar

### webkit_dom_node_set_prefix ()

    void
    webkit_dom_node_set_prefix (WebKitDOMNode *self,
                                const gchar *value,
                                GError **error);

`webkit_dom_node_set_prefix` has been deprecated since version 2.14 and should not be used in newly-written code.

#### Parameters

self | A WebKitDOMNode |
value | A gchar |
error | GError |

### webkit_dom_node_get_local_name ()

    gchar *
    webkit_dom_node_get_local_name (WebKitDOMNode *self);

`webkit_dom_node_get_local_name` has been deprecated since version 2.14 and should not be used in newly-written code.

Use `webkit_dom_attr_get_local_name()` or `webkit_dom_element_get_local_name()` instead.

#### Parameters

self | A WebKitDOMNode |

#### Returns

A gchar

### webkit_dom_node_for_js_value ()

    WebKitDOMNode *
    webkit_dom_node_for_js_value (JSCValue *value);

Get the WebKitDOMNode for the DOM node referenced by `value` .

#### Parameters

value | a JSCValue |

#### Returns

a WebKitDOMNode, or `NULL` if `value` doesn't reference a DOM node.

[transfer none]

Since: 2.22

## Types and Values

### struct WebKitDOMNode

    struct WebKitDOMNode;

### WEBKIT_DOM_NODE_ELEMENT_NODE

    #define WEBKIT_DOM_NODE_ELEMENT_NODE 1

`WEBKIT_DOM_NODE_ELEMENT_NODE` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

### WEBKIT_DOM_NODE_ATTRIBUTE_NODE

    #define WEBKIT_DOM_NODE_ATTRIBUTE_NODE 2

`WEBKIT_DOM_NODE_ATTRIBUTE_NODE` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

### WEBKIT_DOM_NODE_TEXT_NODE

    #define WEBKIT_DOM_NODE_TEXT_NODE 3

`WEBKIT_DOM_NODE_TEXT_NODE` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

### WEBKIT_DOM_NODE_CDATA_SECTION_NODE

    #define WEBKIT_DOM_NODE_CDATA_SECTION_NODE 4

`WEBKIT_DOM_NODE_CDATA_SECTION_NODE` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

### WEBKIT_DOM_NODE_ENTITY_REFERENCE_NODE

    #define WEBKIT_DOM_NODE_ENTITY_REFERENCE_NODE 5

`WEBKIT_DOM_NODE_ENTITY_REFERENCE_NODE` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

### WEBKIT_DOM_NODE_ENTITY_NODE

    #define WEBKIT_DOM_NODE_ENTITY_NODE 6

`WEBKIT_DOM_NODE_ENTITY_NODE` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

### WEBKIT_DOM_NODE_PROCESSING_INSTRUCTION_NODE

    #define WEBKIT_DOM_NODE_PROCESSING_INSTRUCTION_NODE 7

`WEBKIT_DOM_NODE_PROCESSING_INSTRUCTION_NODE` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

### WEBKIT_DOM_NODE_COMMENT_NODE

    #define WEBKIT_DOM_NODE_COMMENT_NODE 8

`WEBKIT_DOM_NODE_COMMENT_NODE` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

### WEBKIT_DOM_NODE_DOCUMENT_NODE

    #define WEBKIT_DOM_NODE_DOCUMENT_NODE 9

`WEBKIT_DOM_NODE_DOCUMENT_NODE` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

### WEBKIT_DOM_NODE_DOCUMENT_TYPE_NODE

    #define WEBKIT_DOM_NODE_DOCUMENT_TYPE_NODE 10

`WEBKIT_DOM_NODE_DOCUMENT_TYPE_NODE` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

### WEBKIT_DOM_NODE_DOCUMENT_FRAGMENT_NODE

    #define WEBKIT_DOM_NODE_DOCUMENT_FRAGMENT_NODE 11

`WEBKIT_DOM_NODE_DOCUMENT_FRAGMENT_NODE` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

### WEBKIT_DOM_NODE_DOCUMENT_POSITION_DISCONNECTED

    #define WEBKIT_DOM_NODE_DOCUMENT_POSITION_DISCONNECTED 0x01

`WEBKIT_DOM_NODE_DOCUMENT_POSITION_DISCONNECTED` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

### WEBKIT_DOM_NODE_DOCUMENT_POSITION_PRECEDING

    #define WEBKIT_DOM_NODE_DOCUMENT_POSITION_PRECEDING 0x02

`WEBKIT_DOM_NODE_DOCUMENT_POSITION_PRECEDING` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

### WEBKIT_DOM_NODE_DOCUMENT_POSITION_FOLLOWING

    #define WEBKIT_DOM_NODE_DOCUMENT_POSITION_FOLLOWING 0x04

`WEBKIT_DOM_NODE_DOCUMENT_POSITION_FOLLOWING` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

### WEBKIT_DOM_NODE_DOCUMENT_POSITION_CONTAINS

    #define WEBKIT_DOM_NODE_DOCUMENT_POSITION_CONTAINS 0x08

`WEBKIT_DOM_NODE_DOCUMENT_POSITION_CONTAINS` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

### WEBKIT_DOM_NODE_DOCUMENT_POSITION_CONTAINED_BY

    #define WEBKIT_DOM_NODE_DOCUMENT_POSITION_CONTAINED_BY 0x10

`WEBKIT_DOM_NODE_DOCUMENT_POSITION_CONTAINED_BY` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

### WEBKIT_DOM_NODE_DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC

    #define WEBKIT_DOM_NODE_DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC 0x20

`WEBKIT_DOM_NODE_DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

## Property Details

### The `“base-uri”` property

      “base-uri”                 char *

read-only gchar* Node:base-uri.

Owner: WebKitDOMNode

Flags: Read

Default value: ""

### The `“child-nodes”` property

      “child-nodes”              WebKitDOMNodeList *

read-only WebKitDOMNodeList* Node:child-nodes.

Owner: WebKitDOMNode

Flags: Read

### The `“first-child”` property

      “first-child”              WebKitDOMNode *

read-only WebKitDOMNode* Node:first-child.

Owner: WebKitDOMNode

Flags: Read

### The `“last-child”` property

      “last-child”               WebKitDOMNode *

read-only WebKitDOMNode* Node:last-child.

Owner: WebKitDOMNode

Flags: Read

### The `“next-sibling”` property

      “next-sibling”             WebKitDOMNode *

read-only WebKitDOMNode* Node:next-sibling.

Owner: WebKitDOMNode

Flags: Read

### The `“node-name”` property

      “node-name”                char *

read-only gchar* Node:node-name.

Owner: WebKitDOMNode

Flags: Read

Default value: ""

### The `“node-type”` property

      “node-type”                guint

read-only gushort Node:node-type.

Owner: WebKitDOMNode

Flags: Read

Default value: 0

### The `“node-value”` property

      “node-value”               char *

read-write gchar* Node:node-value.

Owner: WebKitDOMNode

Flags: Read / Write

Default value: ""

### The `“owner-document”` property

      “owner-document”           WebKitDOMDocument *

read-only WebKitDOMDocument* Node:owner-document.

Owner: WebKitDOMNode

Flags: Read

### The `“parent-element”` property

      “parent-element”           WebKitDOMElement *

read-only WebKitDOMElement* Node:parent-element.

Owner: WebKitDOMNode

Flags: Read

### The `“parent-node”` property

      “parent-node”              WebKitDOMNode *

read-only WebKitDOMNode* Node:parent-node.

Owner: WebKitDOMNode

Flags: Read

### The `“previous-sibling”` property

      “previous-sibling”         WebKitDOMNode *

read-only WebKitDOMNode* Node:previous-sibling.

Owner: WebKitDOMNode

Flags: Read

### The `“text-content”` property

      “text-content”             char *

read-write gchar* Node:text-content.

Owner: WebKitDOMNode

Flags: Read / Write

Default value: ""